
%global meadversion 2.0.0
%global namedversion 2.0.0.Final-redhat-00001
%global meadalpha .Final_redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package jboss-jsp-api_2.3_spec}
%{!?scl:%global pkg_name %{name}}

%define maven_version 2.0.0.Final-redhat-00001

Name:           %{?scl_prefix}jboss-jsp-api_2.3_spec
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        JavaServer(TM) Pages 2.3 API
Group:          Development/Java

%if %with mead
Source100: jboss-jsp-api_2.3_spec-2.0.0.Final-redhat-00001-project-sources.tar.gz
Source102: jboss-jsp-api_2.3_spec-2.0.0.Final-redhat-00001.jar
Source103: jboss-jsp-api_2.3_spec-2.0.0.Final-redhat-00001-sources.jar
Source104: jboss-jsp-api_2.3_spec-2.0.0.Final-redhat-00001.pom
%endif

License:        CDDL-1.1 or GPLv2 with exceptions
URL:            https://github.com/jboss/jboss-jsp-api_spec
BuildArch:      noarch
BuildRoot:      %{_tmppath}/jboss-jsp-api_2.3_spec-%{namedversion}-%{release}-root

%description
JSR-000245: JavaServer(TM) Pages 2.3.

%if %with javadoc
%package javadoc
Summary:        Javadoc for jboss-jsp-api_2.3_spec
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jboss-jsp-api_2.3_spec-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jboss-jsp-api_2.3_spec-%{namedversion}.jar %{buildroot}%{_javadir}/jboss-jsp-api_2.3_spec-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jboss-jsp-api_2.3_spec-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jboss-jsp-api_2.3_spec-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jboss-jsp-api_2.3_spec-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss-jsp-api_2.3_spec-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jboss-jsp-api_2.3_spec-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jboss-jsp-api_2.3_spec-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jboss-jsp-api_2.3_spec-%{namedversion} -x META-INF/\*
%{__ln_s} jboss-jsp-api_2.3_spec-%{namedversion} %{buildroot}%{_javadocdir}/jboss-jsp-api_2.3_spec
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}jboss-jsp-api_2.3_spec
%defattr(0644,root,root,0755)
%{_javadir}/jboss-jsp-api_2.3_spec-%{namedversion}.jar
%{_javadir}/jboss-jsp-api_2.3_spec.jar
%if %with javadoc
%{_javadir}/jboss-jsp-api_2.3_spec-%{namedversion}-javadoc.jar
%{_javadir}/jboss-jsp-api_2.3_spec-javadoc.jar
%endif
%{_javadir}/jboss-jsp-api_2.3_spec-%{namedversion}-sources.jar
%{_javadir}/jboss-jsp-api_2.3_spec-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jboss-jsp-api_2.3_spec-%{namedversion}
%{_javadocdir}/jboss-jsp-api_2.3_spec
%endif

%changelog
* Wed Nov 06 2019 Permaine Cheung <pcheung@redhat.com> - 2.0.0-1.Final_redhat_00001.1
- 2.0.0.Final-redhat-00001 

* Wed Nov 06 2019 Permaine Cheung <pcheung@redhat.com> - 2.0.0-1.Final_redhat_00001.1
- 2.0.0.Final-redhat-00001 

* Thu Nov 15 2018 Permaine Cheung <pcheung@redhat.com> - 1.0.3-2.Final_redhat_1.1
- Remove R: to solve install issues

* Fri Jun 22 2018 Yong Yang <yyang@redhat.com> - 1.0.3-1.Final_redhat_1.1
-  1.0.3.Final-redhat-1 for eap 7.2.0

* Tue Nov 07 2017 Permaine Cheung <pcheung@redhat.com> - 1.0.1-3.Final_redhat_1.1
- Fix license (JBEAP-13468

* Tue Oct 17 2017 Permaine Cheung <pcheung@redhat.com> - 1.0.1-2.Final_redhat_1.1
- Fix license (JBEAP-13468)

* Tue Jun 16 2015 Hui Wang <huwang@redhat.com> - 1.0.1-1.Final_redhat_1.1
- Initial build


